null$ = " -rem -"
ROOT$ = "c:\qbasic\"
PRINT "rebooting CoCo emu for qbasic"
PRINT "please wait..."
PRINT " time "; TIME$
PRINT " date "; DATE$
SHELL "mem"
PRINT " your should have your dirvers for emm386.sys or himem.sys"
PRINT "  installed ...": SLEEP 2
ON ERROR GOTO NODIR:
FILES "C:\QBASIC\"
SLEEP

ON ERROR GOTO er1:
PRINT "examining files needed for CoCo Emu"
OPEN ROOT$ + "tiset.wnd" FOR INPUT AS #1
DO
LINE INPUT #1, a$
PRINT a$

LOOP UNTIL EOF(1)
CLOSE #1

PRINT "examining files needed for CoCo Emu"
ON ERROR GOTO er2:
OPEN ROOT$ + "auxsp.set" FOR INPUT AS #1
DO
LINE INPUT #1, a$
PRINT a$

LOOP UNTIL EOF(1)
CLOSE #1
ON ERROR GOTO er3:
OPEN ROOT$ + "printer.set" FOR INPUT AS #1
DO
LINE INPUT #1, a$
PRINT a$

LOOP UNTIL EOF(1)
CLOSE #1
PRINT " OK YOUR GOOD TO GO."
RUN ROOT$ + "QBOS9.BAS"
SHELL ROOT$ + "SNDQB.BAT"

END
REM ERROR HANDLING
er1:
OPEN ROOT$ + "tiset.wnd" FOR OUTPUT AS #1
PRINT #1, null$
CLOSE #1
RESUME

er2:
OPEN ROOT$ + "auxsp.set" FOR OUTPUT AS #1
PRINT #1, null$
CLOSE #1
RESUME

er3:
OPEN ROOT$ + "printer.set" FOR OUTPUT AS #1
PRINT #1, null$
CLOSE #1
RESUME

NODIR:
MKDIR "C:\QBASIC"
BEEP
RUN

